summaryrefslogtreecommitdiffstats
path: root/zinf
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2005-09-07 18:30:01 +0000
committer Eric Hameleers <alien@slackware.com>2005-09-07 18:30:01 +0000
commitbf119172db63ec872636bc968b010691821d8d8c (patch)
treee18f6a3ed9c8a0aed6c2be29ad64514af1113043 /zinf
parente6a42a1ad4404a2c1adf186a4775657b54d94d42 (diff)
downloadasb-bf119172db63ec872636bc968b010691821d8d8c.tar.gz
asb-bf119172db63ec872636bc968b010691821d8d8c.tar.xz
Initial revision
Diffstat (limited to 'zinf')
-rwxr-xr-xzinf/build/libmusicbrainz.SlackBuild161
-rw-r--r--zinf/build/libmusicbrainz.slack-desc19
-rw-r--r--zinf/build/zinf.142
-rwxr-xr-xzinf/build/zinf.SlackBuild198
-rw-r--r--zinf/build/zinf.slack-desc19
5 files changed, 439 insertions, 0 deletions
diff --git a/zinf/build/libmusicbrainz.SlackBuild b/zinf/build/libmusicbrainz.SlackBuild
new file mode 100755
index 00000000..bd6f4ecc
--- /dev/null
+++ b/zinf/build/libmusicbrainz.SlackBuild
@@ -0,0 +1,161 @@
+#!/bin/sh
+#
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: libmusicbrains
+# URL: http://www.zinf.org/
+# Needs:
+# Changelog:
+# 2.0.2-1: 06/Sep/2005 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+CWD=`pwd`
+if [ "$TMP" = "" ]; then
+ TMP=/tmp
+fi
+
+PRGNAM=libmusicbrainz
+VERSION=2.0.2
+ARCH=${ARCH:-i486}
+BUILD=1
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "athlon-xp" ]; then
+ SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+
+fi
+
+PKG=$TMP/package-$PRGNAM
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+fi
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+fi
+
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+rm -rf $PKG/*
+
+cd $PKG
+
+# Explode the package framework:
+if [ -f $CWD/_$PRGNAM.tar.gz ]; then
+ explodepkg $CWD/_$PRGNAM.tar.gz
+fi
+
+cd $TMP/tmp-$PRGNAM
+
+
+# --- TARBALL EXTRACTION,PATCH,MODIFY ---
+
+echo "Extracting the program tarball for $PRGNAM..."
+tar -xzvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+
+cd ${PRGNAM}-${VERSION}
+
+chown -R root.root *
+find . -perm 777 -exec chmod 755 {} \;
+
+
+# --- BUILDING ---
+
+echo Building ...
+
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --enable-cpp-headers \
+ 2>&1 | tee $CWD/configure-${PRGNAM}.log
+make 2>&1 | tee $CWD/make-${PRGNAM}.log
+
+#
+# Install all the needed stuff to the package dir
+#
+# Use installwatch if available:
+which installwatch > /dev/null 2>&1
+if [ $? == 0 ]; then
+ installwatch -o $CWD/install-${PRGNAM}.log make DESTDIR=$PKG install
+else
+ make DESTDIR=$PKG install 2>&1 |tee $CWD/install-${PRGNAM}.log
+fi
+
+
+# --- DOCUMENTATION ---
+
+DOCS="AUTHORS COPYING ChangeLog README* TODO"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s)
+gzip -9f $PKG/usr/man/*/*
+gzip -9f $PKG/usr/man/*/*/*
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+chown root:bin $PKG/usr/bin/* $PKG/usr/sbin/* $PKG/bin/* $PKG/sbin/* \
+ $PKG/usr/X11R6/bin/* $PKG/opt/kde/bin/* 2>/dev/null
+
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $CWD/${PRGNAM}.slack-desc > $PKG/install/slack-desc
+if [ -f $CWD/doinst.sh ]; then
+ cat $CWD/doinst.sh > $PKG/install/doinst.sh
+fi
+
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
+ 2>&1 | tee $CWD/makepkg-${PRGNAM}.log
+(cd $TMP && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+cat $CWD/${PRGNAM}.slack-desc | grep "^${PRGNAM}" > $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi
diff --git a/zinf/build/libmusicbrainz.slack-desc b/zinf/build/libmusicbrainz.slack-desc
new file mode 100644
index 00000000..8162267d
--- /dev/null
+++ b/zinf/build/libmusicbrainz.slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libmusicbrainz: libmusicbrainz (MusicBrainz Client Library)
+libmusicbrainz:
+libmusicbrainz: The MusicBrainz client library (also referred to as mb_client
+libmusicbrainz: and libmusicbrainz) is a development library geared towards
+libmusicbrainz: developers who wish to add MusicBrainz lookup capabilities to
+libmusicbrainz: their applications.
+libmusicbrainz:
+libmusicbrainz:
+libmusicbrainz:
+libmusicbrainz: libmusicbrainz lives at http://www.musicbrainz.org/
+libmusicbrainz:
diff --git a/zinf/build/zinf.1 b/zinf/build/zinf.1
new file mode 100644
index 00000000..1c29886f
--- /dev/null
+++ b/zinf/build/zinf.1
@@ -0,0 +1,42 @@
+.de Sh \" Subsection
+.br
+.if t .Sp
+.ne 5
+.PP
+\fB\\$1\fR
+.PP
+..
+.de Sp \" Vertical space (when we can't use .PP)
+.if t .sp .5v
+.if n .sp
+..
+.de Ip \" List item
+.br
+.ie \\n(.$>=3 .ne \\$3
+.el .ne 3
+.IP "\\$1" \\$2
+..
+.TH "ZINF AUDIO PLAYER" 1 "" "" ""
+.SH NAME
+zinf \- Play audio files
+.SH "SYNOPSIS"
+
+.nf
+\fBzinf\fR [-save] [-ui \fIUI plugin name\fR] {\fIaudio file/stream\fR...}
+.fi
+
+.SH "DESCRIPTION"
+
+.PP
+ZINF is an extensible, cross-platform audio player. It features an optimized version of the GPLed Xing MPEG decoder which makes it one of the fastest and best sounding players available. ZINF provides a number of the most common features users have come to expect in a clean, easy to use interface.
+
+.SH "SEE ALSO"
+
+.PP
+ The ZINF homepage: \fIhttp://www.zinf.org\fR
+
+.SH "AUTHOR"
+
+.PP
+This manual page was originally written by Andreas Rottmann <rotty@debian.org>, for the Debian GNU/Linux system (but may be used by others).
+
diff --git a/zinf/build/zinf.SlackBuild b/zinf/build/zinf.SlackBuild
new file mode 100755
index 00000000..0f57f013
--- /dev/null
+++ b/zinf/build/zinf.SlackBuild
@@ -0,0 +1,198 @@
+#!/bin/sh
+# $Id$
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: zinf
+# URL: http://www.zinf.org/
+# Needs:
+# Changelog:
+# 2.2.5-1: 06/Sep/2005 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+# 2.2.5-2: 07/Sep/2005 by Eric Hameleers <alien@slackware.com>
+# * Added icon and .desktop file: rebuilt against libid3 to get
+# support for reading ID3 tags.
+#
+# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+CWD=`pwd`
+if [ "$TMP" = "" ]; then
+ TMP=/tmp
+fi
+
+PRGNAM=zinf
+VERSION=2.2.5
+ARCH=${ARCH:-i486}
+BUILD=2
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "athlon-xp" ]; then
+ SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+
+fi
+
+PKG=$TMP/package-$PRGNAM
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+fi
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+fi
+
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+rm -rf $PKG/*
+
+cd $PKG
+
+# Explode the package framework:
+if [ -f $CWD/_$PRGNAM.tar.gz ]; then
+ explodepkg $CWD/_$PRGNAM.tar.gz
+fi
+
+cd $TMP/tmp-$PRGNAM
+
+
+# --- TARBALL EXTRACTION,PATCH,MODIFY ---
+
+echo "Extracting the program tarball for $PRGNAM..."
+tar -xzvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+
+cd ${PRGNAM}-${VERSION}
+
+chown -R root.root *
+find . -perm 777 -exec chmod 755 {} \;
+
+
+# --- BUILDING ---
+
+echo Building ...
+
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --with-musicbrainz-prefix=/usr \
+ --with-id3lib-prefix=/usr \
+ 2>&1 | tee $CWD/configure-${PRGNAM}.log
+make 2>&1 | tee $CWD/make-${PRGNAM}.log
+
+# All developer docs
+#(cd doc && make)
+
+#
+# Install all the needed stuff to the package dir
+#
+# Use installwatch if available:
+which installwatch > /dev/null 2>&1
+if [ $? == 0 ]; then
+ installwatch -o $CWD/install-${PRGNAM}.log make DESTDIR=$PKG install
+else
+ make DESTDIR=$PKG install 2>&1 |tee $CWD/install-${PRGNAM}.log
+fi
+
+# A nice Slackware theme :-)
+cp $CWD/slackamp.fat $PKG/usr/share/zinf/themes/
+
+# Desktop file and icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/zinf.png $PKG/usr/share/pixmaps/
+
+# Simple man page
+mkdir -p $PKG/usr/man/man1
+gzip -9c $CWD/zinf.1 > $PKG/usr/man/man1/zinf.1.gz
+
+cat <<EOF >$PKG/usr/share/applications/zinf.desktop
+[Desktop Entry]
+Name=Zinf Audio Player
+Exec=zinf
+Info=Zinf audio player
+Icon=/usr/share/pixmaps/zinf.png
+Terminal=false
+MultipleArgs=false
+Type=Application
+MimeType=audio/x-scpls;audio/x-mpegurl;audio/mpegurl;audio/mp3;audio/x-mp3;audio/mpeg;audio/x-mpeg;audio/x-wav;application/x-ogg
+StartupNotify=true
+Categories=Application;AudioVideo;
+EOF
+
+
+# --- DOCUMENTATION ---
+
+DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README \
+ doc/BUILD doc/README.* doc/ThemeHowTo.txt doc/WISHLIST doc/user.txt"
+
+# If you run 'make' in the doc directory of the sources, this will be
+# additional developers' docs:
+#DOCS="$DOCS html/html"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s)
+gzip -9f $PKG/usr/man/*/*
+gzip -9f $PKG/usr/man/*/*/*
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+chown root:bin $PKG/usr/bin/* $PKG/usr/sbin/* $PKG/bin/* $PKG/sbin/* \
+ $PKG/usr/X11R6/bin/* $PKG/opt/kde/bin/* 2>/dev/null
+
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $CWD/${PRGNAM}.slack-desc > $PKG/install/slack-desc
+if [ -f $CWD/doinst.sh ]; then
+ cat $CWD/doinst.sh > $PKG/install/doinst.sh
+fi
+
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
+ 2>&1 | tee $CWD/makepkg-${PRGNAM}.log
+(cd $TMP && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+cat $CWD/${PRGNAM}.slack-desc | grep "^${PRGNAM}" > $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi
diff --git a/zinf/build/zinf.slack-desc b/zinf/build/zinf.slack-desc
new file mode 100644
index 00000000..12584e1a
--- /dev/null
+++ b/zinf/build/zinf.slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+zinf: zinf (Short_description)
+zinf:
+zinf: Zinf is an Open Source effort to build the best digital audio player
+zinf: available.
+zinf: Zinf was derived from freeamp originally developed by EMusic.com.
+zinf:
+zinf:
+zinf:
+zinf:
+zinf: zinf lives at http://www.zinf.org/
+zinf: